
Infrastructure - Task #3763

Feature # 3762 (New): DataONE software download statistics

Visualize PyPI download statistics for Python components

2013-05-14 21:11 - Roger Dahl

Status: New Start date: 2013-05-14

Priority: Low Due date:  

Assignee: Roger Dahl % Done: 0%

Category: d1_dashboard Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version:    

Description

Create a tool that gets download statistics for DataONE software distributed on PyPI and generates graphs that show how number of

downloads change over time.

History

#1 - 2013-08-02 16:49 - Roger Dahl

- Status changed from New to In Progress

#2 - 2013-08-12 17:35 - Roger Dahl

PyPI is adding a statistics API that is not yet suitable for production. It includes mirroring activity done by bots, which may account for 99% of

"downloads".

The old method of getting PyPI stats, which involves downloading and parsing the logs, also includes the mirroring bots and is equally wrong, unless

filtering is applied.

http://stackoverflow.com/questions/9648015/pypi-download-counts-seem-unrealistic

We will hold off on this for a while and see if the API gets fixed.

#3 - 2014-01-17 16:45 - Roger Dahl

- Status changed from In Progress to New

- Priority changed from Normal to Low

#4 - 2014-10-01 21:32 - Dave Vieglais

- Target version set to Maintenance Backlog
